# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [0.8.0](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.7.1...@salesforce-ux/slds-button@0.8.0) (2022-05-09)


### Features

* **slds-button-icon:** button-icon and button's version of sds-button upgraded ([#84](https://github.com/salesforce-ux/product-subsystem/issues/84)) ([d64998a](https://github.com/salesforce-ux/product-subsystem/commit/d64998a6d72163ad1a5a56b2d02bf8bbdf3c8862))





## [0.7.1](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.7.0...@salesforce-ux/slds-button@0.7.1) (2022-05-02)

**Note:** Version bump only for package @salesforce-ux/slds-button





# [0.7.0](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.6.0...@salesforce-ux/slds-button@0.7.0) (2022-04-27)


### Bug Fixes

* **button:** change slot display prop ([05d950d](https://github.com/salesforce-ux/product-subsystem/commit/05d950df964f6267f180cf34487306b6febfa521))


### Features

* **slds-button-stateful:** change storybook and add spacing-right to icon ([06f31e3](https://github.com/salesforce-ux/product-subsystem/commit/06f31e34e6c91a44ecd3d8e759a807abfe5615e8))





# [0.6.0](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.5.0...@salesforce-ux/slds-button@0.6.0) (2022-04-18)


### Features

* **slds-button:** add in text variant for button-stateful ([c074fde](https://github.com/salesforce-ux/product-subsystem/commit/c074fde9b634cb25a61efe90c5d03fc2fdc35a57))





# [0.5.0](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.4.3...@salesforce-ux/slds-button@0.5.0) (2022-04-06)


### Features

* **slds-button:** PR comments ([500a34f](https://github.com/salesforce-ux/product-subsystem/commit/500a34f408f178eae97d194295a8b40deefdafb7))
* **slds-button:** Reference new color system and update styling hooks ([c3108cd](https://github.com/salesforce-ux/product-subsystem/commit/c3108cdcd01a87972d1b885f47c494b009ab5d52))
* **slds-button:** Remove comment ([38cc069](https://github.com/salesforce-ux/product-subsystem/commit/38cc0699b9067464d2df5c7dc266598c0033348f))





## [0.4.3](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.4.2...@salesforce-ux/slds-button@0.4.3) (2022-04-05)


### Bug Fixes

* **slds-button:** Fix icon colors and slot checks ([#57](https://github.com/salesforce-ux/product-subsystem/issues/57)) ([3bef011](https://github.com/salesforce-ux/product-subsystem/commit/3bef01133123b774f5ef98fdacb8c4abd5efdf9a))





## [0.4.2](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.4.1...@salesforce-ux/slds-button@0.4.2) (2022-03-10)


### Bug Fixes

* **button:** Update default variant to neutral and other variant tweaks ([#43](https://github.com/salesforce-ux/product-subsystem/issues/43)) ([b35bbf6](https://github.com/salesforce-ux/product-subsystem/commit/b35bbf6855a29bf6e2f8ae7f5f96dd0914e845fd))





## [0.4.1](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.4.0...@salesforce-ux/slds-button@0.4.1) (2022-02-09)

**Note:** Version bump only for package @salesforce-ux/slds-button





# [0.4.0](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.3.0...@salesforce-ux/slds-button@0.4.0) (2022-02-03)


### Features

* **button-icon:** Add button-icon component ([#16](https://github.com/salesforce-ux/product-subsystem/issues/16)) ([696cb50](https://github.com/salesforce-ux/product-subsystem/commit/696cb50f8a4a07a348e681a992bb8915f86f04e8))





# [0.3.0](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.2.0...@salesforce-ux/slds-button@0.3.0) (2021-11-18)


### Features

* **tooltip:** Add tooltip component ([#11](https://github.com/salesforce-ux/product-subsystem/issues/11)) ([ce41ef5](https://github.com/salesforce-ux/product-subsystem/commit/ce41ef51e1f62e995a847e176877a1ba8f3e41f7))





# [0.2.0](https://github.com/salesforce-ux/product-subsystem/compare/@salesforce-ux/slds-button@0.1.0...@salesforce-ux/slds-button@0.2.0) (2021-10-19)


### Bug Fixes

* **slds-button:** Add correct background color on focus ([#5](https://github.com/salesforce-ux/product-subsystem/issues/5)) ([9da23a0](https://github.com/salesforce-ux/product-subsystem/commit/9da23a078a82ae2d0f1ab116c5efaef5cf56301d))


### Features

* **slds-button:** Add styling hooks to button component ([#8](https://github.com/salesforce-ux/product-subsystem/issues/8)) ([af5c801](https://github.com/salesforce-ux/product-subsystem/commit/af5c801e3da14ed460db6f552fed3101dbcc83c6))





# 0.1.0 (2021-08-31)


### Features

* **slds-button:** Add css for variants and add tests ([#2](https://github.com/salesforce-ux/product-subsystem/issues/2)) ([568c67d](https://github.com/salesforce-ux/product-subsystem/commit/568c67d9fae6fd7ea8dcddbc3844d29db9a0151b))
